<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/SearchCategory.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SearchCategory.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="SearchCategory_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">import</span> QtQuick 2.0</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;import QtGraphicalEffects 1.0</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;MouseArea {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> horFlick: <span class="keyword">true</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">property</span> <span class="keywordtype">bool</span> editSearchCategory: <span class="keyword">true</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    height: 30</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    onWheel: {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="comment">//scrollBar.increase()</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keywordflow">if</span> (horFlick) catgrid.flick(-wheel.angleDelta.y * 4,-wheel.angleDelta.y * 4)</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    }</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    propagateComposedEvents: <span class="keyword">true</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    GridView {</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        id: catgrid</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        anchors.margins: 5</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        <span class="comment">//anchors.leftMargin: 10</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="comment">//anchors.rightMargin: 10</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        height: parent.height</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        clip: <span class="keyword">true</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        cellWidth: cellHeight * 2.9</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        cellHeight: (horFlick) ? height : 35</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <span class="comment">//focus: true</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="comment">//interactive: true</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        flow: (horFlick) ? GridView.FlowTopToBottom : undefined</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="comment">//layoutDirection: Qt.LeftToRight</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <span class="comment">//verticalLayoutDirection: Grid.TopToBottom</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        <span class="comment">//snapMode: GridView.SnapToRow</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        flickableDirection: (horFlick) ? Flickable.HorizontalFlick : Flickable.VerticalFlick</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        delegate: (horFlick) ? componentCategory : component2Category</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        model: (horFlick) ? listModel : listModelRight</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    }</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    ListModel</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    {</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        id: listModel</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        onCountChanged: {</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            nodesWindow.countOfCategoriesChanged()</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        }</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    }</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keyword">function</span> getAllCategories() {</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        var list = <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; listModel.count;i++)</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        {</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;                list += listModel.get(i).cat + ((i === listModel.count - 1) ? <span class="stringliteral">&quot;&quot;</span> : <span class="stringliteral">&quot;,&quot;</span>)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160; </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        }</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">return</span> db.toList(list)</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    }</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keyword">function</span> addingElement(cat, colorCat)</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        listModel.append({cat: cat, colorCat: colorCat})</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    }</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keyword">function</span> removeElement(cat)</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    {</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; listModel.count;i++)</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        {</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keywordflow">if</span> (listModel.get(i).cat === cat)</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            {</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;                listModel.remove(i)</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                <span class="keywordflow">break</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;            }</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        }</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    }</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keyword">function</span> findByName(categories)</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    {</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            var has = <span class="keyword">false</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;            var color = <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keywordflow">for</span> (var i in categories) {</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;                color = selectSearchCategory.findCategory(categories[i])</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                <span class="keywordflow">if</span> (color === <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;                    <span class="keywordflow">continue</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;                has = <span class="keyword">false</span></div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                <span class="keywordflow">for</span> (let j = 0; j &lt; listModel.count; j++)</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                {</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                    <span class="keywordflow">if</span> (db.toLower(listModel.get(j).cat) === db.toLower(categories[i]))</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;                    {</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;                        has = <span class="keyword">true</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                        <span class="keywordflow">break</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                    }</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;                }</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;                <span class="keywordflow">if</span> (!has)</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;                {</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                    listModel.append({cat: categories[i],</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;                                             colorCat: color})</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                }</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            }</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    }</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    ListModel</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    {</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        id: listModelRight</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        Component.onCompleted: {</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160; </div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;            var list = db.selectAllTuples(2, catsTable)</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            var i = 1</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;            <span class="keywordflow">if</span> (list[0] &gt; 1)</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;            {</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;                <span class="keywordflow">for</span> (; i &lt; list[0];) {</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;                    append({cat: list[i], colorCat: list[i + 1],checked1 : <span class="keyword">false</span>})</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160; </div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                    i = i + 2</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;                }</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            }</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        }</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    }</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160; </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keyword">function</span> addingElementRight()</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    {</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        listModelRight.append({cat: cateEdit.text, colorCat: colorGrid.getCurrentColor(),checked1 : <span class="keyword">false</span>})</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    }</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160; </div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keyword">function</span> getColor(cat) {</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; listModelRight.count;i++)</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        {</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;            <span class="keywordflow">if</span> (listModelRight.get(i).cat === cat)</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            {</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;                <span class="keywordflow">return</span> listModelRight.get(i).colorCat</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;            }</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;        }</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#000000&quot;</span></div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    }</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160; </div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    <span class="keyword">function</span> removeElementRight(indx) {</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        listModelRight.remove(indx)</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    }</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160; </div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keyword">function</span> makeChecked(categories) {</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160; </div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;        var has</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        <span class="keywordflow">for</span> (let k = 0; k &lt; listModelRight.count;k++)</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        {</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            has = <span class="keyword">false</span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;            <span class="keywordflow">for</span> (var j in categories)</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;            {</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;                <span class="keywordflow">if</span> (db.toLower(categories[j]) === db.toLower(listModelRight.get(k).cat))</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;                {</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;                    listModelRight.get(k).checked1 = <span class="keyword">true</span></div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;                    has = <span class="keyword">true</span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;                    <span class="keywordflow">break</span></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;                }</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;            }</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;            <span class="keywordflow">if</span> (!has)</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;                listModelRight.get(k).checked1 = <span class="keyword">false</span></div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;        }</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160; </div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    }</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160; </div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="keyword">function</span> removeChecked(category) {</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160; </div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        <span class="keywordflow">for</span> (let k = 0; k &lt; listModelRight.count;k++)</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;        {</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;                <span class="keywordflow">if</span> (db.toLower(category) === db.toLower(listModelRight.get(k).cat))</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;                {</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;                    listModelRight.get(k).checked1 = <span class="keyword">false</span></div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160; </div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;                    <span class="keywordflow">break</span></div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                }</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        }</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160; </div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160; </div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    }</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160; </div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    Component {</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;        id: componentCategory</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160; </div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;        Rectangle {</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;            width: catgrid.cellWidth - 7</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;            height: catgrid.cellHeight - 3</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;            color: colorCat</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;            radius: 5</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160; </div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;            Flickable {</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;                id: catText</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;                anchors.top: parent.top</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;                anchors.left: parent.left</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;                anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;                anchors.right: closeCat.left</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;                flickableDirection: Flickable.HorizontalFlick</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;                interactive: <span class="keyword">true</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;                <span class="comment">// ScrollBar.horizontal: ScrollBar {}</span></div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160; </div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;                TextArea.flickable: TextArea{</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160; </div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;                    text: cat</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;                    <span class="comment">// anchors.horizontalCenter: parent.horizontalCenter</span></div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;                    clip: <span class="keyword">true</span></div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;                    anchors.fill: parent</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160; </div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;                    horizontalAlignment: Text.AlignLeft</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;                    <span class="comment">//verticalAlignment: Text.AlignTop</span></div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;                    enabled: <span class="keyword">false</span></div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160; </div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;                    anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;                    font.pointSize: (horFlick) ? 7 : 9</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;                    color: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160; </div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;                    <span class="comment">// ScrollBar.vertical: null</span></div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;                }</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;            }</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;            Rectangle{</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;                id: closeCat</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;                anchors.right: parent.right</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;                <span class="comment">//anchors.rightMargin: 5</span></div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;                anchors.top: parent.top</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;                anchors.topMargin: 3</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;                height: parent.height - 5</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;                width: height</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;                opacity: 0.6</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;                scale: 0.7</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;                color: <span class="stringliteral">&quot;transparent&quot;</span><span class="comment">//&quot;#e06971&quot;//&quot;#30313A&quot;//gradient: style.getGradientStandart()</span></div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;                Image {</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;                    anchors.fill: parent</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;                    anchors.margins: 2</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160; </div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;                    id: close_img</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;                    source: <span class="stringliteral">&quot;/resources/img/close.png&quot;</span></div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;                }</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;                states:[</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;                    State {</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;                        name: <span class="stringliteral">&quot;BUTTON_ENTERED&quot;</span></div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;                        PropertyChanges { target: closeCat; gradient: style.getAttentionGradientStandart()}</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;                    },</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;                    State {</div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;                        name: <span class="stringliteral">&quot;BUTTON_EXITED&quot;</span></div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;                        PropertyChanges { target: closeCat; color: <span class="stringliteral">&quot;transparent&quot;</span>}</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;                    }</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;                ]</div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;                MouseArea {</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;                    anchors.fill: parent</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;                    hoverEnabled: <span class="keyword">true</span></div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;                    onEntered: closeCat.state = <span class="stringliteral">&quot;BUTTON_ENTERED&quot;</span></div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;                    onExited:  closeCat.state = <span class="stringliteral">&quot;BUTTON_EXITED&quot;</span></div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;                    onClicked: {</div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;                        rightGrid.removeChecked(listModel.get(index).cat)</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;                        listModel.remove(index)</div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;                    }</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;                }</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;            }</div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;        }</div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160; </div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;    }</div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160; </div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    Component {</div>
<div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;        id: component2Category</div>
<div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160; </div>
<div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;        DelayButton {</div>
<div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;            id: delayBtn</div>
<div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;            width: catgrid.cellWidth - 7</div>
<div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;            height: catgrid.cellHeight - 3</div>
<div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;            delay: 500</div>
<div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160; </div>
<div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;            <span class="comment">//color: colorCat</span></div>
<div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;            <span class="comment">//radius: 5</span></div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;            background: Rectangle {</div>
<div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;                color: <span class="stringliteral">&quot;transparent&quot;</span></div>
<div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;            }</div>
<div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160; </div>
<div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;            onActivated: {</div>
<div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160; </div>
<div class="line"><a name="l00299"></a><span class="lineno">  299</span>&#160;                var nodesLst = nodes.findRemovedCategory(listModelRight.get(index).cat)</div>
<div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;                <span class="keywordflow">if</span> (nodesLst.length !== 0)</div>
<div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;                {</div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;                    haveDependentElement.index = index</div>
<div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;                    haveDependentElement.category = listModelRight.get(index).cat</div>
<div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;                    haveDependentElement.nodesWithCategory = nodesLst</div>
<div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;                    haveDependentElement.open()</div>
<div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;                }</div>
<div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;                <span class="keywordflow">else</span></div>
<div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;                {</div>
<div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;                    <span class="keywordflow">if</span> (db.removeTuple({ category : listModelRight.get(index).cat}, catsTable))</div>
<div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;                    {</div>
<div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;                        nodes.selectCheckedCats(listModelRight.get(index).cat)</div>
<div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;                        selectSearchCategory.removeElement(listModelRight.get(index).cat)</div>
<div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;                        searchGridCategory.removeElement(listModelRight.get(index).cat)</div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;                        rightGrid.removeElementRight(index)</div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;                        nodes.removeCategory(nodesLst, listModelRight.get(index).cat)</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160; </div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;                    }</div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;                    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;                    {</div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;                        error.log = qsTr(<span class="stringliteral">&quot;Error deleting database row&quot;</span>) + settings.emptyString</div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;                        error.err_name = qsTr(<span class="stringliteral">&quot;Error deleting database row: &quot;</span>) + settings.emptyString + db.getError();</div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;                        error.open()</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;                    }</div>
<div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;                }</div>
<div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;            }</div>
<div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160; </div>
<div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;            indicator: Rectangle {</div>
<div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;                width: parent.width</div>
<div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;                height: parent.height</div>
<div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;                color: colorCat</div>
<div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;                opacity: 1 - delayBtn.progress</div>
<div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;                radius: 5</div>
<div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;                TextArea{</div>
<div class="line"><a name="l00334"></a><span class="lineno">  334</span>&#160;                    id: catText</div>
<div class="line"><a name="l00335"></a><span class="lineno">  335</span>&#160;                    anchors.top: parent.top</div>
<div class="line"><a name="l00336"></a><span class="lineno">  336</span>&#160;                    anchors.left: parent.left</div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;                    width: parent.width - 30</div>
<div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;                    height: parent.height</div>
<div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;                    text: cat.substr(0,8) + ((cat.length &gt; 8) ? <span class="stringliteral">&quot;...&quot;</span> : <span class="stringliteral">&quot;&quot;</span>)</div>
<div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160;                    <span class="comment">// anchors.horizontalCenter: parent.horizontalCenter</span></div>
<div class="line"><a name="l00341"></a><span class="lineno">  341</span>&#160;                    clip: <span class="keyword">false</span></div>
<div class="line"><a name="l00342"></a><span class="lineno">  342</span>&#160; </div>
<div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;                    horizontalAlignment: Text.AlignLeft</div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;                    verticalAlignment: Text.AlignVCenter</div>
<div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;                    enabled: <span class="keyword">false</span></div>
<div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160; </div>
<div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;                    anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;                    font.pointSize: (horFlick) ? 7 : 9</div>
<div class="line"><a name="l00349"></a><span class="lineno">  349</span>&#160;                    color: <span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00350"></a><span class="lineno">  350</span>&#160; </div>
<div class="line"><a name="l00351"></a><span class="lineno">  351</span>&#160;                    <span class="comment">// ScrollBar.vertical: null</span></div>
<div class="line"><a name="l00352"></a><span class="lineno">  352</span>&#160;                }</div>
<div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160; </div>
<div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;                CheckBox {</div>
<div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;                    id: check</div>
<div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;                    checked: (checked1) ? <span class="keyword">true</span> : <span class="keyword">false</span></div>
<div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;                    scale: 0.5</div>
<div class="line"><a name="l00358"></a><span class="lineno">  358</span>&#160;                    anchors.right: parent.right</div>
<div class="line"><a name="l00359"></a><span class="lineno">  359</span>&#160;                    anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00360"></a><span class="lineno">  360</span>&#160;                    <span class="comment">//anchors.rightMargin: 5</span></div>
<div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;                    anchors.top: parent.top</div>
<div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;                    anchors.topMargin: 3</div>
<div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;                    indicator: Rectangle {</div>
<div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;                        implicitWidth: 26</div>
<div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;                        implicitHeight: 26</div>
<div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;                        color:<span class="stringliteral">&quot;white&quot;</span></div>
<div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;                        opacity: 0.7</div>
<div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;                        Rectangle {</div>
<div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;                            width: 14</div>
<div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;                            height: 14</div>
<div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;                            anchors.horizontalCenter: parent.horizontalCenter</div>
<div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;                            anchors.verticalCenter: parent.verticalCenter</div>
<div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;                            color: <span class="stringliteral">&quot;black&quot;</span></div>
<div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;                            opacity: 0.8</div>
<div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;                            visible: check.checked</div>
<div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;                        }</div>
<div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;                    }</div>
<div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;                    onCheckedChanged: {</div>
<div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;                        <span class="keywordflow">if</span> (checked)</div>
<div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;                        {</div>
<div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;                            listModelRight.get(index).checked1 = <span class="keyword">true</span></div>
<div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;                            <span class="keywordflow">if</span> (editSearchCategory)</div>
<div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;                            searchGridCategory.addingElement(listModelRight.get(index).cat,</div>
<div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;                                                             listModelRight.get(index).colorCat)</div>
<div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;                        }</div>
<div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;                        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160;                        {</div>
<div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;                            listModelRight.get(index).checked1 = <span class="keyword">false</span></div>
<div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;                            <span class="keywordflow">if</span> (editSearchCategory)</div>
<div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;                            searchGridCategory.removeElement(listModelRight.get(index).cat)</div>
<div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;                        }</div>
<div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;                    }</div>
<div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;                }</div>
<div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;            }</div>
<div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160; </div>
<div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;        }</div>
<div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160; </div>
<div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;    }</div>
<div class="line"><a name="l00399"></a><span class="lineno">  399</span>&#160; </div>
<div class="line"><a name="l00400"></a><span class="lineno">  400</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassSearchCategory_html"><div class="ttname"><a href="classSearchCategory.html">SearchCategory</a></div><div class="ttdoc">Грид категорий (правая панель и полоска под строкой поиска)</div><div class="ttdef"><b>Definition:</b> <a href="SearchCategory_8qml_source.html#l00014">SearchCategory.qml:14</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
